Name:           perl-Email-MIME-Creator
Version:        1.456
Release:        1%{?dist}
Summary:        Email::MIME constructor for starting anew
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Email-MIME-Creator/
Source0:        http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Email-MIME-Creator-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::MakeMaker), perl(IO::All), perl(Email::MIME), perl(Email::Date)
BuildRequires:  perl(Email::MIME::Modifier), perl(Email::Simple), perl(Email::Simple::Creator)
BuildRequires:  perl(Test::More), perl(Test::Pod), perl(Test::Pod::Coverage)
BuildArch:      noarch
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# not picked up due to a "use base" construct
Requires:       perl(Email::Simple::Creator)

%description
This module provides an Email::MIME constructor.

%prep
%setup -q -n Email-MIME-Creator-%{version}

# Filter false positive provides.
cat <<EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} \
| grep -v 'perl(Email::MIME)'
EOF
%define __perl_provides %{_builddir}/Email-MIME-Creator-%{version}/%{name}-prov
chmod +x %{__perl_provides}

%build
sed -i '/LICENSE/ d' Makefile.PL
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT _docs
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README LICENSE Changes
%{perl_vendorlib}/Email/
%{_mandir}/man3/*.3*

%changelog
* Thu Aug  6 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.456-1
- update to 1.456

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.455-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 13 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.455-1
- update to 1.455

* Fri Feb 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.454-4
- add missing requires on perl(Email::Simple::Creator)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.454-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb  2 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.454-2
- rebuild for new perl

* Sun Aug 26 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.454-1
- bump to 1.454
- fix license tag

* Thu Jul  5 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.453-2
- fix false provide (Email::MIME)

* Wed May  2 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.453-1
- bump to 1.453
- add missing BR perl(Email::Date)
- put Changes in doc

* Sun Apr 29 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.452-2
- fix LICENSE Warning on build
- add missing Test BR

* Sun Apr  1 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.452-1
- Initial package for Fedora
